Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.layoutmgr
Class Keep

    java.lang.Object
      org.apache.fop.layoutmgr.Keep

    public final class Keep

extends java.lang.Object

Object representing a keep constraint, corresponding to the XSL-FO keep properties.

Field Summary
`static Keep` | `KEEP_ALWAYS` keep always
`static Keep` | `KEEP_AUTO` keep auto

Method Summary
`Keep` | `compare(Keep other)` Compare this Keep instance to another one, and return the stronger one if the context is the same
`int` | `getContext()` Returns the context of this keep.
`static Keep` | `getKeep(KeepProperty keepProperty)` Obtain a Keep instance corresponding to the given `KeepProperty`
`int` | `getPenalty()`
`boolean` | `isAuto()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### KEEP_AUTO

    public static final Keep KEEP_AUTO

  keep auto

### KEEP_ALWAYS

    public static final Keep KEEP_ALWAYS

  keep always

Method Detail

### getKeep

    public static Keep getKeep(KeepProperty keepProperty)

  Obtain a Keep instance corresponding to the given `KeepProperty`

  Parameters:
    `keepProperty` - the `KeepProperty`
  Returns:
    a new instance corresponding to the given property

### isAuto

    public boolean isAuto()

  Returns:
    `true` if the keep property was specified as "auto"

### getContext

    public int getContext()

  Returns the context of this keep.

  Returns:
    one of `Constants.EN_LINE`, `Constants.EN_COLUMN` or `Constants.EN_PAGE`

### getPenalty

    public int getPenalty()

  Returns:
    the penalty value corresponding to the strength of this Keep

### compare

    public Keep compare(Keep other)

  Compare this Keep instance to another one, and return the stronger one if the context is the same

  Parameters:
    `other` - the instance to compare to
  Returns:
    the winning Keep instance

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.